<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| RSS Parser Infusion for PHP-Fusion 5        
+----------------------------------------------------+
| author: Scott Rutherford (surreal)  2005   
| web: http://www.maiden-city.co.uk           
| email: scott@maiden-city.co.uk              
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
require_once(INFUSIONS.'/rss_parser_panel/parser.php');

if (!file_exists(INFUSIONS."rss_parser_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."rss_parser_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."rss_parser_panel/locale/English.php";
}

if(isset($_GET['feed'])) {
	$id = stripinput($_GET['feed']);
	$SQL = 'SELECT * FROM '.$db_prefix.'rss_feeds WHERE id="'.$id.'"';
	$RES = dbquery($SQL);
	if($RES) {
		$ROW = dbarray($RES);
		opentable($ROW['name']);
		if(!$rss_parser =& new rss_parser) {
			die('couldn\'t create object');
		} elseif(!$news = $rss_parser->parse($ROW['file'], '', $ROW['cache_limit'])) {
			print $locale['LAN_RSS_103'];
		} else {
			foreach($news['news'] as $data) {
				$new_window = ($ROW['new_window'] == 1 ? '" target="_blank' : "");
				print '<b><a href="'.$data['link'].$new_window.'">'.$data['title'].'</a></b><br />'.$data['description'].'<br /><br />';
			}
			if($news['info']['cache_last_update'] < 3601) {
				$last_update = floor($news['info']['cache_last_update']/60).' '.$locale['LAN_RSS_192'];
			} elseif($news['info']['cache_last_update'] == 0) {
				$last_update = '0 '.$locale['LAN_RSS_192'];
			} else {
				$hours = floor(($news['info']['cache_last_update']/60)/60);
				$mins = floor($news['info']['cache_last_update']/60)-(60*$hours);
				$last_update = $hours.' '.$locale['LAN_RSS_193'].' '.$mins.' '.$locale['LAN_RSS_192'];
			}
			if($news['info']['cache_next_update'] < 3601) {
				$next_update = ceil($news['info']['cache_next_update']/60).' '.$locale['LAN_RSS_192'];
			} elseif($news['info']['cache_next_update'] == 0) {
				$next_update = $ROW['cacle_limit'].' '.$locale['LAN_RSS_193'];
			} else {
				$hours = floor(($news['info']['cache_next_update']/60)/60);
				$mins = ceil($news['info']['cache_next_update']/60)-(60*$hours);
				$next_update = $hours.' '.$locale['LAN_RSS_193'].' '.$mins.' '.$locale['LAN_RSS_192'];
			}
			print '</td></tr><tr><td class="news-footer">'.$locale['LAN_RSS_190'].$last_update.'<br />'.
						$locale['LAN_RSS_191'].$next_update;
		}
		closetable();
	} else {
		header("Location: feeds_page.php");
	}
} else {
	$SQL = 'SELECT * FROM '.$db_prefix.'rss_feeds WHERE in_feeds_page="1" ORDER BY page_order ASC';
	$RES = dbquery($SQL);
	$NUM_ROWS = dbrows($RES);
	if($NUM_ROWS > 0) {
		while($ROW = dbarray($RES)) {
			$name = '<a href="feeds.php?feed='.$ROW['id'].'">'.$ROW['name'].'</a>';
			opentable($name);
				if(!$rss_parser =& new rss_parser) {
					die('couldn\'t create object');
				} elseif(!$news = $rss_parser->parse($ROW['file'], $ROW['num_items_feeds_page'], $ROW['cache_limit'])) {
					print $locale['LAN_RSS_103'];
				} else {
					foreach($news['news'] as $data) {
						$new_window = ($ROW['new_window'] == 1 ? '" target="_blank' : "");
						print '<b><a href="'.$data['link'].$new_window.'">'.$data['title'].'</a></b><br />'.$data['description'].'<br /><br />';
					}
					if($news['info']['cache_last_update'] < 3601) {
						$last_update = floor($news['info']['cache_last_update']/60).' '.$locale['LAN_RSS_192'];
					} elseif($news['info']['cache_last_update'] == 0) {
						$last_update = '0 '.$locale['LAN_RSS_192'];
					} else {
						$hours = floor(($news['info']['cache_last_update']/60)/60);
						$mins = floor($news['info']['cache_last_update']/60)-(60*$hours);
						$last_update = $hours.' '.$locale['LAN_RSS_193'].' '.$mins.' '.$locale['LAN_RSS_192'];
					}
					if($news['info']['cache_next_update'] < 3601) {
						$next_update = ceil($news['info']['cache_next_update']/60).' '.$locale['LAN_RSS_192'];
					} elseif($news['info']['cache_next_update'] == 0) {
						$next_update = $ROW['cacle_limit'].' '.$locale['LAN_RSS_193'];
					} else {
						$hours = floor(($news['info']['cache_next_update']/60)/60);
						$mins = ceil($news['info']['cache_next_update']/60)-(60*$hours);
						$next_update = $hours.' '.$locale['LAN_RSS_193'].' '.$mins.' '.$locale['LAN_RSS_192'];
					}
					print '<table width="100%"><tr><td class="news-footer">'.$locale['LAN_RSS_190'].$last_update.'<br />'.
								$locale['LAN_RSS_191'].$next_update.'</td></tr></table>';
				}
			closetable();
			tablebreak();
		}
	} else {
		opentable($locale['LAN_RSS_120']);
		print '<div align="center">'.$locale['LAN_RSS_121'].'<div>';
		closetable();
	}
}

include BASEDIR."side_right.php";
include BASEDIR."footer.php";
?>